﻿<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>@ViewData["Title"] - VamonosDeCurvas</title>
    <link rel="stylesheet" href="~/lib/bootstrap/dist/css/bootstrap.min.css" />
    <link rel="stylesheet" href="~/css/site.css" />
    <script src="~/lib/jquery/dist/jquery.min.js"></script>
    <script src="https://code.jquery.com/ui/1.12.1/jquery-ui.js"></script>

    <script>

        function openLogin() {
            document.getElementById("popup").style.display = "block";
        }

        function closeLogin() {
            document.getElementById("popup").style.display = "none";
        }

    </script>

    @RenderSection("head", false)
</head>
<body>
    <header>
        <h1>¡Vamonos de curvas!</h1>
        <div class="row m-2">
            <nav class="col">
                <aria-label class="Enlace">
                    <a href="@Url.Action("Index", "Home")">Home</a>
                    <a href="@Url.Action("Index", "Fotos")">Fotos</a>
                    <!--<a href="@Url.Action("Index", "Rutas")">Rutas</a>-->
                </aria-label>
            </nav>
            <div id="searcher" class="col align-items-end">

                <!--
    <input id="txtSearch" type="search" class="border-0 p-1" />
    <img src="~/img/magnifying-search-lenses-tool.png" class="search_img" onclick="document.getElementById('txtSearch').focus();" title="Buscar" />
        -->

                @if (!ViewBag.UserLogin)
                {
                    <button class="btn-info" onclick="openLogin();">Acceder</button>
                }
                else
                {
                    @ViewBag.UserEmail;
                    <a class="logout" href="@Url.Action("Logout", "Home")">Cerrar Sesión</a>

                }

            </div>
        </div>
    </header>
    <div class="container">
        <main role="main" class="pb-3">
            @RenderBody()
        </main>
    </div>

    <footer class="border-top footer text-muted">
        <div class="container">
            &copy; 2020 - VamonosDeCurvas - <a asp-area="" asp-controller="Home" asp-action="Privacy">Politica de Privacidad</a>
        </div>
    </footer>

    <div id="popup" style="@(ViewBag.Login_Error != null ? "" : "display:none")">
        <partial name="_PopUpLogin.cshtml" />
    </div>

</body>
</html>
